vennaVenna

Fine tuning

Fine-tuning jobs, events and checkpoints.

Not yet implemented
GET
/v1/fine_tuning/jobs
AuthorizationBearer <token>

Workspace API key — Authorization: Bearer vk_.... Billing targets the key workspace.

In: header

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/fine_tuning/jobs"
{  "data": [    {      "created_at": 0,      "fine_tuned_model": "string",      "id": "string",      "model": "string",      "object": "fine_tuning.job",      "status": "validating_files",      "training_file": "string",      "validation_file": "string"    }  ],  "has_more": true,  "object": "list"}
{  "error": {    "code": "not_implemented",    "message": "Endpoint 'POST /v1/chat/completions' is not implemented yet on Venna gateway",    "param": null,    "type": "not_implemented"  }}
POST
/v1/fine_tuning/jobs
AuthorizationBearer <token>

Workspace API key — Authorization: Bearer vk_.... Billing targets the key workspace.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/fine_tuning/jobs" \  -H "Content-Type: application/json" \  -d '{    "model": "string",    "training_file": "string"  }'
{  "created_at": 0,  "fine_tuned_model": "string",  "id": "string",  "model": "string",  "object": "fine_tuning.job",  "status": "validating_files",  "training_file": "string",  "validation_file": "string"}
{  "error": {    "code": "not_implemented",    "message": "Endpoint 'POST /v1/chat/completions' is not implemented yet on Venna gateway",    "param": null,    "type": "not_implemented"  }}
GET
/v1/fine_tuning/jobs/{id}
AuthorizationBearer <token>

Workspace API key — Authorization: Bearer vk_.... Billing targets the key workspace.

In: header

Path Parameters

id*string

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/fine_tuning/jobs/abc"
{  "created_at": 0,  "fine_tuned_model": "string",  "id": "string",  "model": "string",  "object": "fine_tuning.job",  "status": "validating_files",  "training_file": "string",  "validation_file": "string"}
{  "error": {    "code": "not_implemented",    "message": "Endpoint 'POST /v1/chat/completions' is not implemented yet on Venna gateway",    "param": null,    "type": "not_implemented"  }}
POST
/v1/fine_tuning/jobs/{id}/cancel
AuthorizationBearer <token>

Workspace API key — Authorization: Bearer vk_.... Billing targets the key workspace.

In: header

Path Parameters

id*string

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/fine_tuning/jobs/abc/cancel"
{  "created_at": 0,  "fine_tuned_model": "string",  "id": "string",  "model": "string",  "object": "fine_tuning.job",  "status": "validating_files",  "training_file": "string",  "validation_file": "string"}
{  "error": {    "code": "not_implemented",    "message": "Endpoint 'POST /v1/chat/completions' is not implemented yet on Venna gateway",    "param": null,    "type": "not_implemented"  }}
GET
/v1/fine_tuning/jobs/{id}/checkpoints
AuthorizationBearer <token>

Workspace API key — Authorization: Bearer vk_.... Billing targets the key workspace.

In: header

Path Parameters

id*string

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/fine_tuning/jobs/abc/checkpoints"
{  "data": [    {      "created_at": 0,      "fine_tuned_model_checkpoint": "string",      "id": "string",      "object": "fine_tuning.job.checkpoint",      "step_number": 0    }  ],  "has_more": true,  "object": "list"}
{  "error": {    "code": "not_implemented",    "message": "Endpoint 'POST /v1/chat/completions' is not implemented yet on Venna gateway",    "param": null,    "type": "not_implemented"  }}
GET
/v1/fine_tuning/jobs/{id}/events
AuthorizationBearer <token>

Workspace API key — Authorization: Bearer vk_.... Billing targets the key workspace.

In: header

Path Parameters

id*string

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/fine_tuning/jobs/abc/events"
{  "data": [    {      "created_at": 0,      "id": "string",      "level": "info",      "message": "string",      "object": "fine_tuning.job.event"    }  ],  "has_more": true,  "object": "list"}
{  "error": {    "code": "not_implemented",    "message": "Endpoint 'POST /v1/chat/completions' is not implemented yet on Venna gateway",    "param": null,    "type": "not_implemented"  }}